#include <wlr/util/log.h>
#include <panes/compositor.h>

int main() {
    struct compositor_state state = {0};
    compositor_init(&state);

    if (!wlr_backend_start(state.backend)) {
        wlr_log(WLR_ERROR, "Failed to start backend");
        return 1;
    }

    wlr_log(WLR_INFO, "Panes compositor running...");
    wl_display_run(state.display);
    wl_display_destroy(state.display);
    return 0;
}
